پروژهها
GET https://98uptime.ir/api/projects/
curl --request GET \
--url 'https://98uptime.ir/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://98uptime.ir/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| search | اختیاری رشته | رشته جستجو. |
| search_by | اختیاری رشته | بر اساس کدام فیلد جستجو میکنید. مقادیر مجاز: name. |
| datetime_field | اختیاری رشته | مقادیر مجاز: datetime, last_datetime |
| datetime_start | اختیاری رشته | نتایج را از این تاریخ و زمان فیلتر کنید. فرمت Y-m-d H:i:s. |
| datetime_end | اختیاری رشته | نتایج را تا این تاریخ و زمان فیلتر کنید. فرمت Y-m-d H:i:s. |
| order_by | اختیاری رشته | نتایج بر اساس کدام فیلد مرتب شوند. مقادیر مجاز: project_id, datetime, last_datetime, name. |
| order_type | اختیاری رشته | ترتیب نتایج. مقادیر مجاز: ASC برای ترتیب صعودی و DESC برای ترتیب نزولی. |
| page | اختیاری عدد صحیح | شماره صفحهای که میخواهید نتایج از آن دریافت شود. بهطور پیشفرض 1. |
| results_per_page | اختیاری عدد صحیح | تعداد نتایجی که در هر صفحه میخواهید. مقادیر مجاز: 10, 25, 50, 100, 250, 500, 1000. بهطور پیشفرض 25. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-06-09 19:36:54",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://98uptime.ir/api/projects?page=1",
"last": "https://98uptime.ir/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://98uptime.ir/api/projects?page=1"
}
}
GET https://98uptime.ir/api/projects/{project_id}
curl --request GET \
--url 'https://98uptime.ir/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://98uptime.ir/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-06-09 19:36:54",
}
}
POST https://98uptime.ir/api/projects
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| name | الزامی رشته | - |
| color | اختیاری رشته | - |
curl --request POST \
--url 'https://98uptime.ir/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--url 'https://98uptime.ir/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
{
"data": {
"id": 1
}
}
POST https://98uptime.ir/api/projects/{project_id}
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| name | اختیاری رشته | - |
| color | اختیاری رشته | - |
curl --request POST \
--url 'https://98uptime.ir/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--url 'https://98uptime.ir/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
{
"data": {
"id": 1
}
}
DELETE https://98uptime.ir/api/projects/{project_id}
curl --request DELETE \
--url 'https://98uptime.ir/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://98uptime.ir/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \